installing mp3splt, libmp3splt and libtool on centos ERRORS

Issues related to software problems.
Post Reply
centos711
Posts: 1
Joined: 2011/12/31 12:03:52

installing mp3splt, libmp3splt and libtool on centos ERRORS

Post by centos711 » 2011/12/31 12:12:21

Hello,

I was trying to install mp3splt 2.4 onto my centos, but i was facing so many issues trying to install libmp3splt which is required by mp3splt to work,
libmp3splt require libtool to work, i did this
cd libmp3splt0.7.1
./autogen.sh gone well
./configure --disable-pcre because ./configure on its own dont work,
make

i got this:
../libtool: line 480: CDPATH: command not found
libtool: Version mismatch error. This is libtool 2.4, but the
libtool: definition of this LT_INIT comes from an older release.
libtool: You should recreate aclocal.m4 with macros from libtool 2.4
libtool: and run autoconf again.
make[2]: *** [libmp3splt_la-types_func.lo] Error 1
make[2]: Leaving directory `/root/libmp3splt-0.7.1/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/root/libmp3splt-0.7.1'
make: *** [all] Error 2

could you advice?
thanks

pschaff
Retired Moderator
Posts: 18276
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America
Contact:

installing mp3splt, libmp3splt and libtool on centos ERRORS

Post by pschaff » 2012/01/01 03:19:58

Welcome to the CentOS fora. Please see the recommended reading for new users linked in my signature.

Please read about [url=http://www.centos.org/modules/newbb/viewtopic.php?topic_id=14408&forum=47]Installing Software[/url] and [url=http://wiki.centos.org/AdditionalResources/Repositories]Repositories[/url], and note the warnings and advice about installing and configuring the [url=http://wiki.centos.org/PackageManagement/Yum/Priorities]yum priorities plugin[/url]. Non-core repos should have a higher numeric value, which is a lower priority. Lower is "better" as in golf scores.

Please pay particular attention to the evils of [url=http://wiki.centos.org/PackageManagement/SourceInstalls]Source Installs[/url]. Source installs as root are particularly dangerous.

Install and configure yum-priorities, enable ATrpms, and [code]yum install mp3splt[/code].

SamSmith34
Posts: 28
Joined: 2011/04/08 16:41:59

Re: installing mp3splt, libmp3splt and libtool on centos ERRORS

Post by SamSmith34 » 2017/02/13 05:34:36

This software appears to no longer be available on ATRpms - at least for CentOS 7. Is there another repo with mp3splt (mp3 split)?

Good news! This Fedora version worked for me:
http://rpm.pbone.net/index.php3/stat/4/ ... 4.rpm.html

I downloaded it with wget, then installed it with:

Code: Select all

yum --nogpgcheck localinstall mp3splt-2.6-13.fc19.x86_64.rpm 

Post Reply

Return to “CentOS 5 - Software Support”